Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved]circular dependencies when emerging wpa_supplicant
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
picarones
n00b
n00b


Joined: 12 Jun 2020
Posts: 8

PostPosted: Fri Jun 12, 2020 11:48 pm    Post subject: [Solved]circular dependencies when emerging wpa_supplicant Reply with quote

Hi - I'm trying to install Gentoo for the first time (really, the second time, the first time I gave up at this exact point). The machine is a Samsung np300e5e laptop.
Code:
emerge --ask net-wireless/wpa_supplicant
produces
Code:
These are the packages that would be merged, in order:

Calculating dependencies 
 * IMPORTANT: 5 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

. ..... done!


[nomerge       ] net-wireless/wpa_supplicant-2.9-r2::gentoo  USE="dbus fils hs2-0 libressl mbo mesh qt5 -ap -bindist -broadcom-sta -eap-sim -eapol-test -fasteap -macsec -p2p -privsep (-ps3) -readline (-selinux) -smartcard -tdls -uncommon-eap-types (-wimax) -wps"
[nomerge       ]  dev-qt/qtwidgets-5.14.2:5/5.14::gentoo  USE="X debug gtk png -gles2-only -test"
[nomerge       ]   x11-libs/gtk+-3.24.16:3::gentoo  USE="X examples gtk-doc introspection wayland xinerama (-aqua) -broadway -cloudprint -colord -cups -test -vim-syntax" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]    x11-themes/adwaita-icon-theme-3.32.0::gentoo  USE="branding" 18,135 KiB
[ebuild  N     ]     x11-libs/gtk+-3.24.16:3::gentoo  USE="X examples gtk-doc introspection wayland xinerama (-aqua) -broadway -cloudprint -colord -cups -test -vim-syntax" ABI_X86="(64) -32 (-x32)" 19,940 KiB
[ebuild  N     ] net-wireless/wpa_supplicant-2.9-r2::gentoo  USE="dbus fils hs2-0 libressl mbo mesh qt5 -ap -bindist -broadcom-sta -eap-sim -eapol-test -fasteap -macsec -p2p -privsep (-ps3) -readline (-selinux) -smartcard -tdls -uncommon-eap-types (-wimax) -wps" 3,157 KiB
[nomerge       ]  dev-qt/qtgui-5.14.2:5/5.14.2::gentoo  USE="X dbus debug egl gif libinput png udev wayland -accessibility -eglfs -evdev -gles2-only -ibus -jpeg -test -tslib -tuio -vnc -vulkan"
[ebuild  N     ]   virtual/opengl-7.0-r2::gentoo  ABI_X86="(64) -32 (-x32)" 0 KiB
[nomerge       ] net-wireless/wpa_supplicant-2.9-r2::gentoo  USE="dbus fils hs2-0 libressl mbo mesh qt5 -ap -bindist -broadcom-sta -eap-sim -eapol-test -fasteap -macsec -p2p -privsep (-ps3) -readline (-selinux) -smartcard -tdls -uncommon-eap-types (-wimax) -wps"
[nomerge       ]  dev-qt/qtcore-5.14.2:5/5.14.2::gentoo  USE="debug icu -old-kernel -systemd -test"
[ebuild  N     ]   dev-libs/double-conversion-3.1.5:0/3::gentoo  6,860 KiB
[nomerge       ] x11-libs/gtk+-3.24.16:3::gentoo  USE="X examples gtk-doc introspection wayland xinerama (-aqua) -broadway -cloudprint -colord -cups -test -vim-syntax" ABI_X86="(64) -32 (-x32)"
[nomerge       ]  x11-libs/pango-1.42.4-r2::gentoo  USE="X introspection -test" ABI_X86="(64) -32 (-x32)"
[nomerge       ]   media-libs/harfbuzz-2.6.5:0/0.9.18::gentoo  USE="cairo debug glib graphite icu introspection truetype -static-libs -test" ABI_X86="(64) -32 (-x32)"
[nomerge       ]    media-gfx/graphite2-1.3.14::gentoo  USE="-perl -test" ABI_X86="(64) -32 (-x32)"
[nomerge       ]     dev-util/cmake-3.16.5::gentoo  USE="ncurses qt5 -doc -emacs -test"
[nomerge       ]      dev-qt/qtwidgets-5.14.2:5/5.14::gentoo  USE="X debug gtk png -gles2-only -test"
[nomerge       ]       dev-qt/qtgui-5.14.2:5/5.14.2::gentoo  USE="X dbus debug egl gif libinput png udev wayland -accessibility -eglfs -evdev -gles2-only -ibus -jpeg -test -tslib -tuio -vnc -vulkan"
[ebuild  N     ]        dev-qt/qtwayland-5.14.2:5/5.14::gentoo  USE="X debug -test -vulkan" 532 KiB
[ebuild  N     ]         dev-qt/qtdeclarative-5.14.2-r2:5/5.14::gentoo  USE="debug jit widgets -gles2-only -localstorage -test -vulkan" 20,807 KiB
[ebuild  N     ]  media-libs/libepoxy-1.5.4::gentoo  USE="X egl -test" ABI_X86="(64) -32 (-x32)" 330 KiB
[ebuild  N     ]   media-libs/mesa-19.3.5::gentoo  USE="X classic debug dri3 egl gallium gbm gles2 libglvnd llvm wayland -d3d9 -gles1 -lm-sensors -opencl -osmesa -pax_kernel (-selinux) -test -unwind -vaapi -valgrind -vdpau -vulkan -vulkan-overlay -xa -xvmc" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="intel nouveau radeon radeonsi (-freedreno) -i915 -i965 -iris (-lima) (-panfrost) -r100 -r200 -r300 -r600 (-vc4) -virgl (-vivante) -vmware" 11,783 KiB
[ebuild  N     ]    sys-devel/llvm-9.0.1:9::gentoo  USE="debug libedit libffi ncurses -doc -exegesis -gold -test -xar -xml -z3" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ -WebAssembly -XCore" 110,696 KiB
[ebuild  N     ]  gnome-base/librsvg-2.40.21:2::gentoo  USE="introspection vala -tools" ABI_X86="(64) -32 (-x32)" 1,618 KiB
[ebuild  N     ]   x11-libs/pango-1.42.4-r2::gentoo  USE="X introspection -test" ABI_X86="(64) -32 (-x32)" 821 KiB
[ebuild  N     ]    media-libs/harfbuzz-2.6.5:0/0.9.18::gentoo  USE="cairo debug glib graphite icu introspection truetype -static-libs -test" ABI_X86="(64) -32 (-x32)" 8,312 KiB
[ebuild  N     ]     media-gfx/graphite2-1.3.14::gentoo  USE="-perl -test" ABI_X86="(64) -32 (-x32)" 6,475 KiB
[nomerge       ] net-wireless/wpa_supplicant-2.9-r2::gentoo  USE="dbus fils hs2-0 libressl mbo mesh qt5 -ap -bindist -broadcom-sta -eap-sim -eapol-test -fasteap -macsec -p2p -privsep (-ps3) -readline (-selinux) -smartcard -tdls -uncommon-eap-types (-wimax) -wps"
[ebuild  N     ]  dev-qt/qtsvg-5.14.2:5/5.14::gentoo  USE="debug -test" 1,837 KiB
[nomerge       ] sys-devel/llvm-9.0.1:9::gentoo  USE="debug libedit libffi ncurses -doc -exegesis -gold -test -xar -xml -z3" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ -WebAssembly -XCore"
[ebuild  N     ]  dev-util/cmake-3.16.5::gentoo  USE="ncurses qt5 -doc -emacs -test" 8,898 KiB
[ebuild  N     ]   dev-qt/qtwidgets-5.14.2:5/5.14::gentoo  USE="X debug gtk png -gles2-only -test" 48,698 KiB
[ebuild  N     ]    dev-qt/qtgui-5.14.2:5/5.14.2::gentoo  USE="X dbus debug egl gif libinput png udev wayland -accessibility -eglfs -evdev -gles2-only -ibus -jpeg -test -tslib -tuio -vnc -vulkan" 0 KiB
[nomerge       ] dev-qt/qtdeclarative-5.14.2-r2:5/5.14::gentoo  USE="debug jit widgets -gles2-only -localstorage -test -vulkan"
[ebuild  N     ]  dev-qt/qttest-5.14.2:5/5.14::gentoo  USE="debug -test" 0 KiB
[ebuild  N     ]  dev-qt/qtnetwork-5.14.2:5/5.14::gentoo  USE="debug ssl -bindist -connman -gssapi -libproxy -networkmanager -sctp -test" 0 KiB
[nomerge       ] dev-libs/double-conversion-3.1.5:0/3::gentoo
[nomerge       ]  dev-util/cmake-3.16.5::gentoo  USE="ncurses qt5 -doc -emacs -test"
[nomerge       ]   dev-qt/qtgui-5.14.2:5/5.14.2::gentoo  USE="X dbus debug egl gif libinput png udev wayland -accessibility -eglfs -evdev -gles2-only -ibus -jpeg -test -tslib -tuio -vnc -vulkan"
[ebuild  N     ]    dev-qt/qtdbus-5.14.2:5/5.14::gentoo  USE="debug -test" 0 KiB
[ebuild  N     ]     dev-qt/qtcore-5.14.2:5/5.14.2::gentoo  USE="debug icu -old-kernel -systemd -test" 0 KiB
[nomerge       ] x11-themes/adwaita-icon-theme-3.32.0::gentoo  USE="branding"
[nomerge       ]  gnome-base/librsvg-2.40.21:2::gentoo  USE="introspection vala -tools" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]   dev-lang/vala-0.46.7:0.46::gentoo  USE="-test -valadoc" 3,324 KiB
[nomerge       ] x11-libs/gtk+-3.24.16:3::gentoo  USE="X examples gtk-doc introspection wayland xinerama (-aqua) -broadway -cloudprint -colord -cups -test -vim-syntax" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]  app-accessibility/at-spi2-atk-2.34.2:2::gentoo  USE="-test" ABI_X86="(64) -32 (-x32)" 95 KiB
[ebuild  N     ]   app-accessibility/at-spi2-core-2.34.0:2::gentoo  USE="X gtk-doc introspection -test" ABI_X86="(64) -32 (-x32)" 183 KiB
[nomerge       ] gnome-base/librsvg-2.40.21:2::gentoo  USE="introspection vala -tools" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]  dev-libs/libcroco-0.6.13:0.6::gentoo  USE="-test" ABI_X86="(64) -32 (-x32)" 477 KiB
[nomerge       ] dev-qt/qtsvg-5.14.2:5/5.14::gentoo  USE="debug -test"
[nomerge       ]  dev-qt/qtwidgets-5.14.2:5/5.14::gentoo  USE="X debug gtk png -gles2-only -test"
[nomerge       ]   x11-libs/pango-1.42.4-r2::gentoo  USE="X introspection -test" ABI_X86="(64) -32 (-x32)"
[nomerge       ]    dev-libs/glib-2.62.6:2::gentoo  USE="dbus debug gtk-doc mime xattr -fam (-selinux) -static-libs -systemtap -test -utils" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]     gnome-base/dconf-0.34.0::gentoo  USE="gtk-doc -test" 111 KiB
[nomerge       ] x11-libs/gtk+-3.24.16:3::gentoo  USE="X examples gtk-doc introspection wayland xinerama (-aqua) -broadway -cloudprint -colord -cups -test -vim-syntax" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]  dev-util/gtk-update-icon-cache-3.24.16::gentoo  90 KiB
[ebuild  N     ]  dev-libs/atk-2.34.1::gentoo  USE="gtk-doc introspection" ABI_X86="(64) -32 (-x32)" 287 KiB
[ebuild  N     ]  x11-libs/gdk-pixbuf-2.40.0:2::gentoo  USE="X gtk-doc introspection -jpeg -tiff" ABI_X86="(64) -32 (-x32)" 5,383 KiB
[ebuild  N     ]  x11-libs/cairo-1.16.0-r3::gentoo  USE="X debug glib svg (-aqua) (-gles2-only) -opengl -static-libs -utils -valgrind" ABI_X86="(64) -32 (-x32)" 41,014 KiB
[ebuild  N     ]  dev-libs/gobject-introspection-1.62.0::gentoo  USE="gtk-doc -doctool -test" PYTHON_SINGLE_TARGET="python3_7 -python3_6 (-python3_8)" 958 KiB
[ebuild  N     ]   dev-util/gtk-doc-1.32-r1::gentoo  USE="debug -doc -emacs" PYTHON_SINGLE_TARGET="python3_7 -python3_6" 745 KiB
[ebuild  N     ]    dev-util/desktop-file-utils-0.24::gentoo  USE="-emacs" 135 KiB
[ebuild  N     ]    x11-misc/shared-mime-info-1.15::gentoo  755 KiB
[ebuild  N     ]     dev-libs/glib-2.62.6:2::gentoo  USE="dbus debug gtk-doc mime xattr -fam (-selinux) -static-libs -systemtap -test -utils" ABI_X86="(64) -32 (-x32)" 4,594 KiB

Total: 36 packages (36 new), Size of downloads: 327,030 KiB

 * Error: circular dependencies:

(dev-util/gtk-doc-1.32-r1:0/0::gentoo, ebuild scheduled for merge) depends on
 (dev-libs/glib-2.62.6:2/2::gentoo, ebuild scheduled for merge) (buildtime)
  (dev-util/gtk-doc-1.32-r1:0/0::gentoo, ebuild scheduled for merge) (buildtime)

It might be possible to break this cycle
by applying the following change:
- dev-libs/glib-2.62.6 (Change USE: -gtk-doc)

Note that this change can be reverted, once the package has been installed.

Note that the dependency graph contains a lot of cycles.
Several changes might be required to resolve all cycles.
Temporarily changing some use flag for all packages might be the better option.

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by dev-qt/qtwayland-5.14.2::gentoo
>=dev-qt/qtgui-5.14.2 egl
# required by dev-qt/qtcore-5.14.2::gentoo
# required by dev-qt/qtdbus-5.14.2::gentoo
# required by dev-qt/qtgui-5.14.2::gentoo[dbus]
# required by dev-qt/qtdeclarative-5.14.2-r2::gentoo
# required by dev-qt/qtwayland-5.14.2::gentoo
>=dev-libs/libpcre2-10.34 pcre16

Would you like to add these changes to your config files? [Yes/No]
 * In order to avoid wasting time, backtracking has terminated early
 * due to the above autounmask change(s). The --autounmask-backtrack=y
 * option can be used to force further backtracking, but there is no
 * guarantee that it will produce a solution.
If I accept the changes, the next attempt produces more circular dependency errors - with suggestions for more config file changes. After repeating the process a number of times I get an error mentioning blocked packages and no more suggestions.

I suppose my USE variable could be wrong, but I don't know enough just yet to evaluate that. Just in case, my /etc/portage/make.conf:
Code:
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
COMMON_FLAGS="-march=native -O2 -pipe"
CFLAGS="${COMMON_FLAGS}"
CXXFLAGS="${COMMON_FLAGS}"
FCFLAGS="${COMMON_FLAGS}"
FFLAGS="${COMMON_FLAGS}"

# NOTE: This stage was built with the bindist Use flag enabled
PORTDIR="/var/db/repos/gentoo"
DISTDIR="/var/cache/distfiles"
PKGDIR="/var/cache/binpkgs"

# This sets the language of build output to English.
# Please keep this setting intact when reporting bugs.
LC_MESSAGES=C

MAKEOPTS="-j3"

GENTOO_MIRRORS="https://gentoo.ussg.indiana.edu/ https://gentoo.osuosl.org/ https://mirrors.rit.edu/gentoo/ https://mirror.sjc02.svwh.net/gentoo/"

USE="X acl alsa bash-completion bidi bluetooth branding cdr cjk cracklib crypt dbus debug dvd dvdr examples flac fontconfig git gpm gtk gtk-doc gui hardened icu idn ipv6 jack libedit libressl mmap modules multilib ncurses ogg pie policykit posix ppds profile qt5 samba scanner smp sound sox spell ssl syslog threads truetype udev unicode usb wayland x264 xcomposite xft xinerama xscreensaver -readline"

ACCEPT_LICENSE="-* @FREE"

Any help will be greatly appreciated.


Last edited by picarones on Sat Jun 13, 2020 5:37 pm; edited 1 time in total
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 15840

PostPosted: Sat Jun 13, 2020 12:30 am    Post subject: Reply with quote

Disable USE=gtk-doc, at least for now. You say you accepted the proposed changes and got a new round of errors, but you did not show the round of errors at which you gave up. Please show them.
Back to top
View user's profile Send private message
picarones
n00b
n00b


Joined: 12 Jun 2020
Posts: 8

PostPosted: Sat Jun 13, 2020 2:21 am    Post subject: Reply with quote

Thanks for your reply. I removed gtk-doc from USE in my make.conf:
Code:
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
COMMON_FLAGS="-march=native -O2 -pipe"
CFLAGS="${COMMON_FLAGS}"
CXXFLAGS="${COMMON_FLAGS}"
FCFLAGS="${COMMON_FLAGS}"
FFLAGS="${COMMON_FLAGS}"

# NOTE: This stage was built with the bindist Use flag enabled
PORTDIR="/var/db/repos/gentoo"
DISTDIR="/var/cache/distfiles"
PKGDIR="/var/cache/binpkgs"

# This sets the language of build output to English.
# Please keep this setting intact when reporting bugs.
LC_MESSAGES=C

MAKEOPTS="-j3"

GENTOO_MIRRORS="https://gentoo.ussg.indiana.edu/ https://gentoo.osuosl.org/ https://mirrors.rit.edu/gentoo/ https://mirror.sjc02.svwh.net/gentoo/"

USE="X acl alsa bash-completion bidi bluetooth branding cdr cjk cracklib crypt dbus debug dvd dvdr examples flac fontconfig git gpm gtk gui hardened icu idn ipv6 jack libedit libressl mmap modules multilib ncurses ogg pie policykit posix ppds profile qt5 samba scanner smp sound sox spell ssl syslog threads truetype udev unicode usb wayland x264 xcomposite xft xinerama xscreensaver -readline"

ACCEPT_LICENSE="-* @FREE"

I also copied the generated file to /etc/portage/package.use/zz-autounmask
Code:
# package.use# required by dev-qt/qtwayland-5.14.2::gentoo
>=dev-qt/qtgui-5.14.2 egl
# required by dev-qt/qtcore-5.14.2::gentoo
# required by dev-qt/qtdbus-5.14.2::gentoo
# required by dev-qt/qtgui-5.14.2::gentoo[dbus]
# required by dev-qt/qtdeclarative-5.14.2-r2::gentoo
# required by dev-qt/qtwayland-5.14.2::gentoo
>=dev-libs/libpcre2-10.34 pcre16

then
Code:
emerge --ask net-wireless/wpa_supplicant
produced this:
Code:

These are the packages that would be merged, in order:

Calculating dependencies
 * IMPORTANT: 5 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

....... done!


[nomerge       ] net-wireless/wpa_supplicant-2.9-r2::gentoo  USE="dbus fils hs2-0 libressl mbo mesh qt5 -ap -bindist -broadcom-sta -eap-sim -eapol-test -fasteap -macsec -p2p -privsep (-ps3) -readline (-selinux) -smartcard -tdls -uncommon-eap-types (-wimax) -wps"
[nomerge       ]  dev-qt/qtwidgets-5.14.2:5/5.14::gentoo  USE="X debug gtk png -gles2-only -test"
[nomerge       ]   x11-libs/gtk+-3.24.16:3::gentoo  USE="X examples introspection wayland xinerama (-aqua) -broadway -cloudprint -colord -cups -gtk-doc -test -vim-syntax" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]    x11-themes/adwaita-icon-theme-3.32.0::gentoo  USE="branding" 18,135 KiB
[ebuild  N     ]     x11-libs/gtk+-3.24.16:3::gentoo  USE="X examples introspection wayland xinerama (-aqua) -broadway -cloudprint -colord -cups -gtk-doc -test -vim-syntax" ABI_X86="(64) -32 (-x32)" 19,940 KiB
[ebuild  N     ] net-wireless/wpa_supplicant-2.9-r2::gentoo  USE="dbus fils hs2-0 libressl mbo mesh qt5 -ap -bindist -broadcom-sta -eap-sim -eapol-test -fasteap -macsec -p2p -privsep (-ps3) -readline (-selinux) -smartcard -tdls -uncommon-eap-types (-wimax) -wps" 3,157 KiB
[nomerge       ]  dev-qt/qtcore-5.14.2:5/5.14.2::gentoo  USE="debug icu -old-kernel -systemd -test"
[ebuild  N     ]   dev-libs/double-conversion-3.1.5:0/3::gentoo  6,860 KiB
[nomerge       ] net-wireless/wpa_supplicant-2.9-r2::gentoo  USE="dbus fils hs2-0 libressl mbo mesh qt5 -ap -bindist -broadcom-sta -eap-sim -eapol-test -fasteap -macsec -p2p -privsep (-ps3) -readline (-selinux) -smartcard -tdls -uncommon-eap-types (-wimax) -wps"
[nomerge       ]  dev-qt/qtgui-5.14.2:5/5.14.2::gentoo  USE="X dbus debug egl gif libinput png udev wayland -accessibility -eglfs -evdev -gles2-only -ibus -jpeg -test -tslib -tuio -vnc -vulkan"
[ebuild  N     ]   dev-qt/qtwayland-5.14.2:5/5.14::gentoo  USE="X debug -test -vulkan" 532 KiB
[ebuild  N     ]    dev-qt/qtdeclarative-5.14.2-r2:5/5.14::gentoo  USE="debug jit widgets -gles2-only -localstorage -test -vulkan" 20,807 KiB
[nomerge       ] x11-libs/gtk+-3.24.16:3::gentoo  USE="X examples introspection wayland xinerama (-aqua) -broadway -cloudprint -colord -cups -gtk-doc -test -vim-syntax" ABI_X86="(64) -32 (-x32)"
[nomerge       ]  media-libs/mesa-19.3.5::gentoo  USE="X classic debug dri3 egl gallium gbm gles2 libglvnd llvm wayland -d3d9 -gles1 -lm-sensors -opencl -osmesa -pax_kernel (-selinux) -test -unwind -vaapi -valgrind -vdpau -vulkan -vulkan-overlay -xa -xvmc" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="intel nouveau radeon radeonsi (-freedreno) -i915 -i965 -iris (-lima) (-panfrost) -r100 -r200 -r300 -r600 (-vc4) -virgl (-vivante) -vmware"
[ebuild  N     ]   sys-devel/llvm-9.0.1:9::gentoo  USE="debug libedit libffi ncurses -doc -exegesis -gold -test -xar -xml -z3" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ -WebAssembly -XCore" 110,696 KiB
[ebuild  N     ]  gnome-base/librsvg-2.40.21:2::gentoo  USE="introspection vala -tools" ABI_X86="(64) -32 (-x32)" 1,618 KiB
[ebuild  N     ]   x11-libs/pango-1.42.4-r2::gentoo  USE="X introspection -test" ABI_X86="(64) -32 (-x32)" 821 KiB
[ebuild  N     ]    media-libs/harfbuzz-2.6.5:0/0.9.18::gentoo  USE="cairo debug glib graphite icu introspection truetype -static-libs -test" ABI_X86="(64) -32 (-x32)" 8,312 KiB
[ebuild  N     ]     media-gfx/graphite2-1.3.14::gentoo  USE="-perl -test" ABI_X86="(64) -32 (-x32)" 6,475 KiB
[nomerge       ] net-wireless/wpa_supplicant-2.9-r2::gentoo  USE="dbus fils hs2-0 libressl mbo mesh qt5 -ap -bindist -broadcom-sta -eap-sim -eapol-test -fasteap -macsec -p2p -privsep (-ps3) -readline (-selinux) -smartcard -tdls -uncommon-eap-types (-wimax) -wps"
[ebuild  N     ]  dev-qt/qtsvg-5.14.2:5/5.14::gentoo  USE="debug -test" 1,837 KiB
[nomerge       ] media-gfx/graphite2-1.3.14::gentoo  USE="-perl -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]  dev-util/cmake-3.16.5::gentoo  USE="ncurses qt5 -doc -emacs -test" 8,898 KiB
[ebuild  N     ]   dev-qt/qtwidgets-5.14.2:5/5.14::gentoo  USE="X debug gtk png -gles2-only -test" 48,698 KiB
[nomerge       ] dev-qt/qtsvg-5.14.2:5/5.14::gentoo  USE="debug -test"
[nomerge       ]  dev-qt/qtwidgets-5.14.2:5/5.14::gentoo  USE="X debug gtk png -gles2-only -test"
[nomerge       ]   dev-qt/qtgui-5.14.2:5/5.14.2::gentoo  USE="X dbus debug egl gif libinput png udev wayland -accessibility -eglfs -evdev -gles2-only -ibus -jpeg -test -tslib -tuio -vnc -vulkan"
[ebuild  N     ]    virtual/opengl-7.0-r2::gentoo  ABI_X86="(64) -32 (-x32)" 0 KiB
[nomerge       ] x11-libs/gtk+-3.24.16:3::gentoo  USE="X examples introspection wayland xinerama (-aqua) -broadway -cloudprint -colord -cups -gtk-doc -test -vim-syntax" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ]  media-libs/libepoxy-1.5.4::gentoo  USE="X egl -test" ABI_X86="(64) -32 (-x32)" 330 KiB
[ebuild  N     ]   media-libs/mesa-19.3.5::gentoo  USE="X classic debug dri3 egl gallium gbm gles2 libglvnd llvm wayland -d3d9 -gles1 -lm-sensors -opencl -osmesa -pax_kernel (-selinux) -test -unwind -vaapi -valgrind -vdpau -vulkan -vulkan-overlay -xa -xvmc" ABI_X86="(64) -32 (-x32)" VIDEO_CARDS="intel nouveau radeon radeonsi (-freedreno) -i915 -i965 -iris (-lima) (-panfrost) -r100 -r200 -r300 -r600 (-vc4) -virgl (-vivante) -vmware" 11,783 KiB
[nomerge       ] sys-devel/llvm-9.0.1:9::gentoo  USE="debug libedit libffi ncurses -doc -exegesis -gold -test -xar -xml -z3" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 -ARM -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ -WebAssembly -XCore"
[nomerge       ]  dev-util/cmake-3.16.5::gentoo  USE="ncurses qt5 -doc -emacs -test"
[ebuild  N     ]   dev-qt/qtgui-5.14.2:5/5.14.2::gentoo  USE="X dbus debug egl gif libinput png udev wayland -accessibility -eglfs -evdev -gles2-only -ibus -jpeg -test -tslib -tuio -vnc -vulkan" 0 KiB
[nomerge       ] dev-qt/qtdeclarative-5.14.2-r2:5/5.14::gentoo  USE="debug jit widgets -gles2-only -localstorage -test -vulkan"
[ebuild  N     ]  dev-qt/qttest-5.14.2:5/5.14::gentoo  USE="debug -test" 0 KiB
[ebuild  N     ]  dev-qt/qtnetwork-5.14.2:5/5.14::gentoo  USE="debug ssl -bindist -connman -gssapi -libproxy -networkmanager -sctp -test" 0 KiB
[nomerge       ] dev-qt/qtsvg-5.14.2:5/5.14::gentoo  USE="debug -test"
[nomerge       ]  dev-qt/qtgui-5.14.2:5/5.14.2::gentoo  USE="X dbus debug egl gif libinput png udev wayland -accessibility -eglfs -evdev -gles2-only -ibus -jpeg -test -tslib -tuio -vnc -vulkan"
[ebuild  N     ]   dev-qt/qtdbus-5.14.2:5/5.14::gentoo  USE="debug -test" 0 KiB
[ebuild  N     ]    dev-qt/qtcore-5.14.2:5/5.14.2::gentoo  USE="debug icu -old-kernel -systemd -test" 0 KiB

Total: 22 packages (22 new), Size of downloads: 268,888 KiB

 * Error: circular dependencies:

(dev-libs/double-conversion-3.1.5:0/3::gentoo, ebuild scheduled for merge) depends on
 (dev-util/cmake-3.16.5:0/0::gentoo, ebuild scheduled for merge) (buildtime)
  (dev-qt/qtcore-5.14.2:5/5.14.2::gentoo, ebuild scheduled for merge) (buildtime)
   (dev-libs/double-conversion-3.1.5:0/3::gentoo, ebuild scheduled for merge) (buildtime_slot_op)

It might be possible to break this cycle
by applying the following change:
- dev-util/cmake-3.16.5 (Change USE: -qt5)

Note that this change can be reverted, once the package has been installed.

Note that the dependency graph contains a lot of cycles.
Several changes might be required to resolve all cycles.
Temporarily changing some use flag for all packages might be the better option.

You can see there is another circular dependency. This time the suggestion is to remove qt5 from USE. When I remove it:
Code:
...
USE="X acl alsa bash-completion bidi bluetooth branding cdr cjk cracklib crypt dbus debug dvd dvdr examples flac fontconfig git gpm gtk gui hardened icu idn ipv6 jack libedit libressl mmap modules multilib ncurses ogg pie policykit posix ppds profile samba scanner smp sound sox spell ssl syslog threads truetype udev unicode usb wayland x264 xcomposite xft xinerama xscreensaver -readline"
...

I get this result. At this point I am stumped, there are no more suggestions and the referenced article requires more knowledge to understand than I currently possess.
Code:

These are the packages that would be merged, in order:

Calculating dependencies
 * IMPORTANT: 5 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

... done!
[ebuild  N     ] net-wireless/wireless-regdb-20190603
[ebuild  N     ] sys-devel/autoconf-archive-2018.03.13
[ebuild  N     ] acct-group/messagebus-0
[ebuild  N     ] acct-user/messagebus-0
[ebuild  N     ] dev-lang/swig-3.0.12  USE="pcre -ccache -doc"
[ebuild  N     ] dev-libs/libnl-3.4.0  USE="debug threads -python -static-libs -utils" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python3_7 -python3_6"
[ebuild  N     ] x11-libs/xtrans-1.4.0  USE="-doc"
[ebuild  N     ] x11-base/xcb-proto-1.14-r1  ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python3_7 -python3_6 (-python3_8)"
[ebuild  NS    ] app-text/docbook-xml-dtd-4.2-r3 [4.1.2-r7, 4.3-r2, 4.4-r3, 4.5-r2]
[ebuild  N     ] app-text/xmlto-0.0.28-r1  USE="-latex -text"
[ebuild  N     ] dev-python/typing-3.7.4.1  PYTHON_TARGETS="python2_7"
[ebuild  N     ] x11-base/xorg-proto-2019.2
[ebuild  N     ] x11-libs/libICE-1.0.10  USE="ipv6 -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXau-1.0.9  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXdmcp-1.1.3  USE="-doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libSM-1.2.3  USE="ipv6 uuid -doc -static-libs" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libxcb-1.14  USE="xkb -doc (-selinux) -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libX11-1.6.9  USE="ipv6 -doc -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] x11-libs/libXt-1.2.0  USE="-doc -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] sys-apps/dbus-1.12.16  USE="X debug -doc -elogind (-selinux) -static-libs -systemd -test -user-session" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-libs/libressl-3.0.2  USE="asm -static-libs -test" ABI_X86="(64) -32 (-x32)"
[ebuild  N     ] dev-python/m2crypto-0.31.0-r2  USE="libressl" PYTHON_TARGETS="python2_7 python3_7 -python3_6"
[ebuild  N     ] net-wireless/crda-4.14  USE="libressl -gcrypt"
[ebuild  N     ] net-wireless/wpa_supplicant-2.9-r2  USE="dbus fils hs2-0 libressl mbo mesh -ap -bindist -broadcom-sta -eap-sim -eapol-test -fasteap -macsec -p2p -privsep (-ps3) -qt5 -readline (-selinux) -smartcard -tdls -uncommon-eap-types (-wimax) -wps"
[blocks B      ] dev-libs/openssl:0 ("dev-libs/openssl:0" is blocking dev-libs/libressl-3.0.2)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (dev-libs/openssl-1.1.1g:0/1.1::gentoo, installed) pulled in by
    dev-libs/openssl:0/1.1= required by (dev-lang/python-3.7.7-r2:3.7/3.7m::gentoo, installed) USE="gdbm ipv6 ncurses readline ssl xml -bluetooth -build -examples -hardened -libressl -sqlite -test -tk -wininst" ABI_X86="(64)"
    >=dev-libs/openssl-1.1.0g:0[bindist=] (>=dev-libs/openssl-1.1.0g:0[-bindist]) required by (net-misc/openssh-8.1_p1-r3:0/0::gentoo, installed) USE="pam pie ssl -X -X509 -audit -bindist -debug -hpn -kerberos -ldns -libedit -libressl -livecd -sctp (-selinux) -static -test -xmss" ABI_X86="(64)"
    dev-libs/openssl:0= required by (net-misc/wget-1.20.3-r3:0/0::gentoo, installed) USE="ipv6 nls pcre (ssl) zlib -cookie_check -debug -gnutls -idn -libressl -metalink -ntlm -static -test -uuid" ABI_X86="(64)"
    dev-libs/openssl:0/1.1= required by (app-portage/portage-utils-0.87:0/0::gentoo, installed) USE="nls openmp qmanifest qtegrity -libressl -static" ABI_X86="(64)"
    dev-libs/openssl:= required by (dev-lang/python-3.7.7-r2:3.7/3.7m::gentoo, installed) USE="gdbm ipv6 ncurses readline ssl xml -bluetooth -build -examples -hardened -libressl -sqlite -test -tk -wininst" ABI_X86="(64)"
    dev-libs/openssl:0/1.1= required by (net-misc/iputils-20190709-r1:0/0::gentoo, installed) USE="arping filecaps ipv6 nls ssl -SECURITY_HAZARD -caps -clockdiff -doc -gcrypt -idn -libressl -nettle -rarpd -rdisc -static -tftpd -tracepath -traceroute6" ABI_X86="(64)"
    dev-libs/openssl:0/1.1= required by (dev-lang/python-2.7.18:2.7/2.7::gentoo, installed) USE="gdbm ipv6 ncurses readline ssl (threads) (wide-unicode) xml (-berkdb) -bluetooth -build -examples -hardened -libressl -sqlite -tk -wininst" ABI_X86="(64)"
    dev-libs/openssl:= required by (dev-lang/python-2.7.18:2.7/2.7::gentoo, installed) USE="gdbm ipv6 ncurses readline ssl (threads) (wide-unicode) xml (-berkdb) -bluetooth -build -examples -hardened -libressl -sqlite -tk -wininst" ABI_X86="(64)"
    dev-libs/openssl:0/1.1=[abi_x86_64(-)] required by (net-misc/curl-7.69.1:0/0::gentoo, installed) USE="ftp imap ipv6 pop3 progress-meter smtp ssl tftp -adns -alt-svc -brotli -gopher -http2 -idn -kerberos -ldap -metalink (-nghttp3) (-quiche) -rtmp -samba -ssh -static-libs -telnet -test -threads" ABI_X86="(64) -32 (-x32)" CURL_SSL="openssl -gnutls -libressl -mbedtls -nss (-winssl)"
    dev-libs/openssl:0/1.1= required by (net-misc/openssh-8.1_p1-r3:0/0::gentoo, installed) USE="pam pie ssl -X -X509 -audit -bindist -debug -hpn -kerberos -ldns -libedit -libressl -livecd -sctp (-selinux) -static -test -xmss" ABI_X86="(64)"
    dev-libs/openssl:0= required by (net-misc/openssh-8.1_p1-r3:0/0::gentoo, installed) USE="pam pie ssl -X -X509 -audit -bindist -debug -hpn -kerberos -ldns -libedit -libressl -livecd -sctp (-selinux) -static -test -xmss" ABI_X86="(64)"
    dev-libs/openssl:= required by (dev-lang/python-3.8.2-r2:3.8/3.8::gentoo, installed) USE="gdbm ipv6 ncurses readline ssl xml -bluetooth -build -examples -hardened -libressl -sqlite -test -tk -wininst" ABI_X86="(64)"
    dev-libs/openssl:0/1.1= required by (dev-lang/python-3.8.2-r2:3.8/3.8::gentoo, installed) USE="gdbm ipv6 ncurses readline ssl xml -bluetooth -build -examples -hardened -libressl -sqlite -test -tk -wininst" ABI_X86="(64)"
    dev-libs/openssl:0= required by (app-portage/portage-utils-0.87:0/0::gentoo, installed) USE="nls openmp qmanifest qtegrity -libressl -static" ABI_X86="(64)"
    dev-libs/openssl:0/1.1= required by (net-misc/wget-1.20.3-r3:0/0::gentoo, installed) USE="ipv6 nls pcre (ssl) zlib -cookie_check -debug -gnutls -idn -libressl -metalink -ntlm -static -test -uuid" ABI_X86="(64)"
    dev-libs/openssl:0= required by (net-misc/iputils-20190709-r1:0/0::gentoo, installed) USE="arping filecaps ipv6 nls ssl -SECURITY_HAZARD -caps -clockdiff -doc -gcrypt -idn -libressl -nettle -rarpd -rdisc -static -tftpd -tracepath -traceroute6" ABI_X86="(64)"
    dev-libs/openssl:0=[static-libs?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,
abi_mips_n64(-)?,abi_mips_o32(-)?,abi_riscv_lp64d(-)?,abi_riscv_lp64(-)?,abi_s390_32(-)?,
abi_s390_64(-)?] (dev-libs/openssl:0=[abi_x86_64(-)]) required by (net-misc/curl-7.69.1:0/0::gentoo, installed) USE="ftp imap ipv6 pop3 progress-meter smtp ssl tftp -adns -alt-svc -brotli -gopher -http2 -idn -kerberos -ldap -metalink (-nghttp3) (-quiche) -rtmp -samba -ssh -static-libs -telnet -test -threads" ABI_X86="(64) -32 (-x32)" CURL_SSL="openssl -gnutls -libressl -mbedtls -nss (-winssl)"

  (dev-libs/libressl-3.0.2:0/47::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/libressl:0= required by (net-wireless/crda-4.14:0/0::gentoo, ebuild scheduled for merge) USE="libressl -gcrypt" ABI_X86="(64)"
    dev-libs/libressl:0= required by (net-wireless/wpa_supplicant-2.9-r2:0/0::gentoo, ebuild scheduled for merge) USE="dbus fils hs2-0 libressl mbo mesh -ap -bindist -broadcom-sta -eap-sim -eapol-test -fasteap -macsec -p2p -privsep (-ps3) -qt5 -readline (-selinux) -smartcard -tdls -uncommon-eap-types (-wimax) -wps" ABI_X86="(64)"
    dev-libs/libressl:0= required by (dev-python/m2crypto-0.31.0-r2:0/0::gentoo, ebuild scheduled for merge) USE="libressl" ABI_X86="(64)" PYTHON_TARGETS="python2_7 python3_7 -python3_6"


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


[Moderator edit: broke long whitespace-free lines in code tags to fix thread layout. -Hu]
Back to top
View user's profile Send private message
picarones
n00b
n00b


Joined: 12 Jun 2020
Posts: 8

PostPosted: Sat Jun 13, 2020 2:27 am    Post subject: Reply with quote

BTW, is there some way to get the text within the code tags to wrap?
Or should I use a different tag for command output?
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 15840

PostPosted: Sat Jun 13, 2020 3:30 am    Post subject: Reply with quote

Remove USE=libressl. When it is enabled, you choose libressl for packages that support it. This is fine if you use only packages that support it. For a new user / new install, start with openssl, get a working environment, and then you can explore switching to libressl.
picarones wrote:
BTW, is there some way to get the text within the code tags to wrap?
Or should I use a different tag for command output?
Text in code tags will automatically wrap, provided that there is whitespace within the line. Portage output sometimes has very long lines that have no embedded whitespace, which disrupts wrapping. I edited your post to fix that. Code tags are correct for this use case.
Back to top
View user's profile Send private message
picarones
n00b
n00b


Joined: 12 Jun 2020
Posts: 8

PostPosted: Sat Jun 13, 2020 4:43 am    Post subject: Reply with quote

That seems to have done it - wpa_supplicant emerged successfully - thank you so much.

A couple of additional questions, if I may:

1. I would like to re-add qt5 and gtk-doc to the USE variable. Is that advisable? In other words, is it possible to tell whether the problem was only libressl all along or whether qt5 and gtk-doc were actually problematic as well?

2. What about the modified zz-autounmask file? Should I leave that as it is, or should I restore its original content?

3. More broadly, is trial and error the only way to determine whether a USE variable flag is compatible with a particular package? I am aware that the use.desc file has some warnings in it, but none that refer to libressl, qt5, or gtk-doc.

Again, thank you very much for your help.
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 15840

PostPosted: Sat Jun 13, 2020 3:57 pm    Post subject: Reply with quote

  1. USE=doc (which is different from USE=gtk-doc) is often advised to be set only on the packages where you specifically need it, since it often causes extra dependencies. The situation may (or may not) be the same with USE=gtk-doc. Enabling USE=qt5 globally is probably fine. At worst, you will get a conflict like the one we solved here, and you can work through it or reverse the change. You may want to read about and make more use of package.use, so that you can selectively enable these flags on packages where you need them, without having them enabled on packages where you don't need them.
  2. I would remove as many changes as you can remove without causing the system configuration to deviate from what you think you want. Remove redundant entries, and any flags that set options you don't care about. As above, you can't cause serious problems with a mistake here, so feel free to experiment. You might want to comment out, rather than delete, flags in these files. Then if you decide that disabling it was a mistake, you can remove the comment marker to reactivate it.
  3. You had a rough introduction to the USE system, by enabling some flags that have significant effects. You can inspect an ebuild's dependency data, or the output of emerge --pretend --verbose with particular flags set, to see how big an impact a USE change will have. In the general case, there is no good way to predict which flags will trigger massive dependency trees, but if you use --pretend and examine the tree before you let Portage proceed, you can abandon difficult paths before doing anything hard to reverse.
    • USE=libressl tries to switch packages over to an alternate library that cannot be co-installed with openssl, so it is an all-or-nothing switch. The main tree only supports this if you are willing to exclude some packages that have not switched yet. (Some of these packages may have libressl-compatible variants in overlays, if you want libressl as soon as possible.)
    • USE=qt5 will usually cause a dependency on Qt packages, which are large and may have many dependencies of their own. Once the system is bootstrapped and has all the required Qt libraries installed, enabling qt5 will likely be easier.
    • As noted above, enabling documentation tends to cause lots of extra dependencies. Most USE flags have less impact.
Back to top
View user's profile Send private message
picarones
n00b
n00b


Joined: 12 Jun 2020
Posts: 8

PostPosted: Sat Jun 13, 2020 5:36 pm    Post subject: [Solved]circular dependencies when trying to emerge wpa_supp Reply with quote

Thank you for your help and comments, they are much appreciated!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum